<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link type="" rel="stylesheet" href="../css/styles.css" />
    <!-- https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP -->
  </head>

  <body>
    <form id="bdd_search">
      <div class="form-group row mx-1 my-2">
        <label for="requested_name" class="col-sm-2 col-form-label"
          >Nom du sort :
        </label>
        <div class="col-sm-5">
          <input type="text" class="form-control" id="requested_name" />
        </div>
      </div>
      <div class="form-group row mx-1 my-2">
        <label for="requested_name" class="col-sm-2 col-form-label"
          >Niveau du sort (défaut 0-9) :
        </label>
        <div style='width:60px' text-align="center">
          <input type="text" class="form-control" id="level_min" placeholder="0" />
        </div>
        <h4 style="width:auto;margin:0%;">-</h4>
        <div style='width:60px'>
          <input type="text" class="form-control" id="level_max" placeholder="9" />
        </div>
      </div>
      <div class="form-group row mx-1 my-2">
        <label for="colFormLabelSm" class="col-sm-2 col-form-label"
          >Composante(s) du sort :
        </label>
        <div class="col-sm-4">
          <div class="form-check form-check-inline">
            <input
              name="CompSpell"
              class="form-check-input"
              type="checkbox"
              id="CompV"
              value="V"
            />
            <label class="form-check-label" for="CompV">Verbal (V)</label>
          </div>
          <div class="form-check form-check-inline">
            <input
            name="CompSpell"
              class="form-check-input"
              type="checkbox"
              id="CompS"
              value="S"
            />
            <label class="form-check-label" for="CompS">Somatic (S)</label>
          </div>
          <div class="form-check form-check-inline">
            <input
            name="CompSpell"
              class="form-check-input"
              type="checkbox"
              id="CompM"
              value="M"
            />
            <label class="form-check-label" for="CompM">Material (M)</label>
          </div>
          <div class="form-check form-check-inline">
            <input
            name="CompSpell"
              class="form-check-input"
              type="checkbox"
              id="CompDF"
              value="DF"
            />
            <label class="form-check-label" for="CompM">Divine Force (DF)</label>
            </div>
        </div>
        <div class="col-sm-2">
          <div class="form-check form-check-inline">
            <input
              class="form-check-input"
              type="radio"
              name="OptionComp"
              id="CompTypeOr"
              value="OR"
              checked
            />
            <label class="form-check-label" for="CompTypeOr">Or</label>
          </div>
          <div class="form-check form-check-inline">
            <input
              class="form-check-input"
              type="radio"
              name="OptionComp"
              id="CompTypeAnd"
              value="AND"
            />
            <label class="form-check-label" for="CompTypeAnd">And</label>
          </div>
          <div class="form-check form-check-inline">
            <input
              class="form-check-input"
              type="radio"
              name="OptionComp"
              id="CompTypeNot"
              value="NOT"
            />
            <label class="form-check-label" for="CompTypeNot">Not</label>
          </div>
        </div>
      </div>
      <div class="form-group row mx-1 my-2">
        <div class="col-sm-2 col-form-label">
          <label for="colFormLabelSm">Classe du sort: </label>
          <input
            class="form-check-input"
            type="radio"
            name="OptionClasse"
            id="ClassTypeOr"
            value="OR"
            checked
          />
          <label class="form-check-label" for="ClassTypeOr">Or</label>
          <input
            class="form-check-input"
            type="radio"
            name="OptionClasse"
            id="ClassTypeAnd"
            value="AND"
          />
          <label class="form-check-label" for="ClassTypeAnd">And</label>
        </div>
        <div class="col">
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Adept"
              value="Adept"
            />
            <label class="form-check-label" for="Adept">Adept</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Warpriest"
              value="Warpriest"
            />
            <label class="form-check-label" for="Warpriest">Warpriest</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Antipaladin"
              value="Antipaladin"
            />
            <label class="form-check-label" for="Antipaladin"
              >Antipaladin</label
            >
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Arcanist"
              value="Arcanist"
            />
            <label class="form-check-label" for="Arcanist">Arcanist</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Bard"
              value="Bard"
            />
            <label class="form-check-label" for="Bard">Bard</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Bloodrager"
              value="Bloodrager"
            />
            <label class="form-check-label" for="Bloodrager">Bloodrager</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Cleric"
              value="Cleric"
            />
            <label class="form-check-label" for="Cleric">Cleric</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Druid"
              value="Druid"
            />
            <label class="form-check-label" for="Druid">Druid</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Hunter"
              value="Hunter"
            />
            <label class="form-check-label" for="Hunter">Hunter</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Inquisitor"
              value="Inquisitor"
            />
            <label class="form-check-label" for="Inquisitor">Inquisitor</label>
          </div>
        </div>
        <div class="col">
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Investigator"
              value="Investigator"
            />
            <label class="form-check-label" for="Investigator"
              >Investigator</label
            >
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Magus"
              value="Magus"
            />
            <label class="form-check-label" for="Magus">Magus</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Medium"
              value="Medium"
            />
            <label class="form-check-label" for="Medium">Medium</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Mesmerist"
              value="Mesmerist"
            />
            <label class="form-check-label" for="Mesmerist">Mesmerist</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Occultist"
              value="Occultist"
            />
            <label class="form-check-label" for="Occultist">Occultist</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Oracle"
              value="Oracle"
            />
            <label class="form-check-label" for="Oracle">Oracle</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Paladin"
              value="Paladin"
            />
            <label class="form-check-label" for="Paladin">Paladin</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Psychic"
              value="Psychic"
            />
            <label class="form-check-label" for="Psychic">Psychic</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Ranger"
              value="Ranger"
            />
            <label class="form-check-label" for="Ranger">Ranger</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Warpriest"
              value="Warpriest"
            />
            <label class="form-check-label" for="Warpriest">Warpriest</label>
          </div>
        </div>
        <div class="col">
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Sahir-Afiyun"
              value="Sahir-Afiyun"
            />
            <label class="form-check-label" for="Sahir-Afiyun"
              >Sahir-Afiyun</label
            >
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Warpriest"
              value="Warpriest"
            />
            <label class="form-check-label" for="Warpriest">Warpriest</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Skald"
              value="Skald"
            />
            <label class="form-check-label" for="Skald">Skald</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Sorcerer"
              value="Sorcerer"
            />
            <label class="form-check-label" for="Sorcerer">Sorcerer</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Spiritualist"
              value="Spiritualist"
            />
            <label class="form-check-label" for="Spiritualist"
              >Spiritualist</label
            >
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Summoner"
              value="Summoner"
            />
            <label class="form-check-label" for="Summoner">Summoner</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Summoner (Unchained)"
              value="Summoner (Unchained)"
            />
            <label class="form-check-label" for="Summoner (Unchained)"
              >Summoner (Unchained)</label
            >
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Warpriest"
              value="Warpriest"
            />
            <label class="form-check-label" for="Warpriest">Warpriest</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Witch"
              value="Witch"
            />
            <label class="form-check-label" for="Witch">Witch</label>
          </div>
          <div class="form-check">
            <input name="SpellClass"
              class="form-check-input"
              type="checkbox"
              id="Wizard"
              value="Wizard"
            />
            <label class="form-check-label" for="Wizard">Wizard</label>
          </div>
        </div>
      </div>
      <div class="form-group row mx-1 my-2">
          <label for="colFormLabelSm" class="col-sm-2 col-form-label">Spell Resistance ? : </label>
          <div class="col-2">
          <input
            class="form-check-input"
            type="radio"
            name="SpellResistance"
            id="SpellTrue"
            value="true"
          />
          <label class="form-check-label" for="SpellTrue">Yes</label></div>
          <div class="col-2">
          <input
            class="form-check-input"
            type="radio"
            name="SpellResistance"
            id="SpellFalse"
            value="false"
          />
          <label class="form-check-label" for="SpellFalse">No</label>
          </div>  
          
        </div>
      </div>
      <div class="form-group row mx-1 my-2">
        <label for="FullText" class="col-sm-2 col-form-label">
          Full-text Search :
        </label>
        <input type="text" class="form-control col" id="FullText" />
      </div>
      <div class='row'>
      <div class="col-md-6">
        <input type="submit" class="btn btn-primary mx-1 my-2" value="Submit" />
        <button type="reset" class="btn btn-warning mx-2 my-2">Reset</button>
        <label class="form-label">
          Nombre de sort trouvé :
        </label>     
        <label class="form-label" id="nb_result">
        </label>
      </div>
      <div class="col-md-6">
      <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">Voir les créatures</button>
          <label class="form-label">
          Nombre de créature trouvée :
        </label>     
        <label class="form-label" id="nb_result_creature">
        </label>
      </div>
      </div>    
    </form>
    <div id="wait" style="width: 100%;" class="d-flex justify-content-center"></div>
    <div id="results" style="width: 100%;" class="container"></div>
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-scrollable">  
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Créatures possédant au moins un sort de la liste de résultat</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
        </div>
    </div>
  </body>
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"
  ></script>
  <script type="text/javascript" src="../script/bdd.js"></script>
</html>
